[arch-commits] Commit in swi-prolog/trunk (PKGBUILD)

Alexander Rødseth arodseth at archlinux.org
Wed Sep 23 13:51:29 UTC 2020


    Date: Wednesday, September 23, 2020 @ 13:51:29
  Author: arodseth
Revision: 711505

upgpkg: swi-prolog 8.2.1-2

Modified:
  swi-prolog/trunk/PKGBUILD

----------+
 PKGBUILD |   13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-23 13:22:24 UTC (rev 711504)
+++ PKGBUILD	2020-09-23 13:51:29 UTC (rev 711505)
@@ -6,12 +6,12 @@
 
 pkgname=swi-prolog
 pkgver=8.2.1
-pkgrel=1
+pkgrel=2
 pkgdesc='Prolog environment'
-arch=('x86_64')
+arch=(x86_64)
 url='https://www.swi-prolog.org/'
 license=(GPL LGPL)
-depends=(libarchive libyaml qt5-base)
+depends=(libarchive libxcrypt libyaml qt5-base)
 makedepends=(cmake jdk-openjdk junit libjpeg libxft libxinerama libxpm ninja unixodbc)
 optdepends=('libjpeg:      for using the pl2xpce library'
             'libxpm:       for using the pl2xpce library'
@@ -26,7 +26,7 @@
 build() {
   mkdir -p build
   cd build
-  cmake ../swipl-$pkgver \
+  cmake "$srcdir/swipl-$pkgver" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_C_FLAGS="$CFLAGS -fPIC -ffile-prefix-map=$PWD= -w" \
@@ -33,14 +33,13 @@
     -DLIBEDIT_LIBRARIES=/usr/lib/libedit.so.0 \
     -DLIBEDIT_INCLUDE_DIR=/usr/include \
     -G Ninja
-  ../swipl-$pkgver/scripts/pgo-compile.sh
+  "$srcdir/swipl-$pkgver/scripts/pgo-compile.sh"
   ninja
 }
 
 check() {
-  cd build
   # the prolog_in_java test fails
-  ctest -j 8 || true
+  cd build && ctest -j 8 || true
 }
 
 package() {


More information about the arch-commits mailing list